<?php

namespace Modules\Facture\Rules;

use Psr\Http\Message\ServerRequestInterface;

class GestionFacture
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function editionImage(): bool
    {
        return $this->main->printingEditingInvoiceAccess();
    }

    public function impressionFacture(): bool
    {
        return $this->main->printingEditingInvoiceAccess();
    }
}
